<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#000000");
    $PanelBar1->setBackgroundImage("./images/background.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#c0c0c0");
    $PanelBar1->setButtonHeight(20);
    $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupContentHeight);
    $PanelBar1->setGroupSpacing(1);
    $PanelBar1->setGroupSpacingColor("#000000");
    $PanelBar1->setInnerHighlightColor("#000000");
    $PanelBar1->setInnerShadowColor("#000000");
    $PanelBar1->setOuterHighlightColor("#000000");
    $PanelBar1->setOuterShadowColor("#000000");
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);
    $PanelBar1->setWidth(121);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/news.gif");
    $cspbGroup->setCaption("News");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Headlines");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Northport Report");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Huntington Report");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("New York Report");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Around the Globe");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/weather.gif");
    $cspbGroup->setCaption("Weather");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Local 1 Day");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Local 1 Week");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Regional 1 Day");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Regional 1 Week");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("National 1 Day");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("National 1 Week");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Travel Forecast");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/columns.gif");
    $cspbGroup->setCaption("Columns");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Political");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Foreign Affairs");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Financial");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setButtonImage("./images/classifieds.gif");
    $cspbGroup->setCaption("Classifieds");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Employment");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Homes");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Autos");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Boats");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Antiques");
    $cspbItem->setURL("index.php");

    $PanelBar1->getItemFont()->setAlignment("left");
    $PanelBar1->getItemFont()->setPaddingLeft(15);
    $PanelBar1->getItemHoverFont()->setColor("#c0c0c0");
    $PanelBar1->getItemHoverFont()->setTextDecoration("none");

    return $PanelBar1;
}

?>
