<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#888888;}
        .csDescription {border-width:0px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Button Images</div>
                    <div class="csContent">
                        The <b>Group.ButtonImage</b> property enables you to replace the usual <b>Group.Caption</b> property so that the appearance of the Group button can be constructed entirely with an image.<br />
                        <br />
                        The <b>PanelBar.BackgroundImage</b> has also been set in this sample to provide the background for the Item list.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Appearance<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ButtonImages
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
