<?php
    include '../../../Coalesys.PanelBar.php';
    include 'index.cb.php';

    $PanelBar1 = CreatePanelBar();
    $PanelBar1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $PanelBar1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b9bccd;}
        .csVControl {width:220px;}
        .csVDocument {margin-left:220px;}
        <?php echo $PanelBar1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $PanelBar1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl"><?php echo $PanelBar1->GeneratePanelBar(0) ?></div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Windows Style:</div>
                    <div class="csContent">
                        When setting the <b>ExpandMode</b> property to &quot;Multi-Group, Content Height&quot; it is possible to create Groups that expand and collapse independent from one another.<br />
                        <br />
                        This sample demonstrates this feature, along with the <b>IconPosition</b>, <b>ButtonBackground</b> and <b>SelectedButtonBackground</b> properties to create the desired appearance.
                    </div>
                    <div class="csTitle">Space between Groups and Items:</div>
                    <div class="csContent">
                        In this sample, additional space has been added between the groups:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setGroupSpacing(16);</div>
                        <div class="csCode">$PanelBar-&gt;setGroupSpacingColor(&quot;#b9bccd&quot;);</div>
                        <br />
                        As well as the Items:<br />
                        <br />
                        <div class="csCode">$PanelBar-&gt;setItemSpacing(5);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $PanelBar1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Appearance<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/WindowsStyle
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
