﻿var cswmIncludePath = "./includes";
var cswmBasicFile = "menu_basic.js";
var cswmModernFile = "menu_modern.js";
var cswmCoreFile = "webmenu.js";

function cswmIsModernBrowser()
{
    var cswmResults = false;
    var cswmUserAgent = String(navigator.userAgent);

    if (cswmUserAgent.indexOf("MSIE 7") > 0 ||
        cswmUserAgent.indexOf("MSIE 8") > 0 ||
        cswmUserAgent.indexOf("MSIE 9") > 0 ||
        cswmUserAgent.indexOf("MSIE 10") > 0 ||
        cswmUserAgent.indexOf("Gecko") > 0 ||
        cswmUserAgent.indexOf("Presto") > 0)
    {
        cswmResults = true;
    }

    return cswmResults;
}

function cswmIncludeScript(cswmScriptName)
{
    var cswmFullPath = cswmIncludePath + "/" + cswmScriptName;
    document.write("<script type=\"text/javascript\" src=\"" + cswmFullPath + "\"></script>");
}

function cswmIncludeScripts()
{
    var cswmInstanceScript = cswmBasicFile;
    var cswmModernBrowser = cswmIsModernBrowser();

    if (cswmModernBrowser)
    {
        cswmInstanceScript = cswmModernFile;

        if (typeof cswmCoreIncluded == "undefined")
        {
            cswmIncludeScript(cswmCoreFile);
            cswmCoreIncluded = true;
        }
    }

    cswmIncludeScript(cswmInstanceScript);
}

cswmIncludeScripts();
