<?php

// Creates and configures a new panelbar control
function CreatePanelBar($currentDirectory)
{
	$PanelBar1 = new Coalesys\PanelBar\PanelBar();
	$PanelBar1->setBackgroundColor("#f5f5f5");
    $PanelBar1->setBorderSize(1);
    $PanelBar1->setButtonBorderSize(1);
    $PanelBar1->setButtonColor("#6d459b");
    $PanelBar1->setButtonHeight(18);
    $PanelBar1->setButtonOuterHighlightColor("#9877b2");
    $PanelBar1->setButtonOuterShadowColor("#452145");
	$currentDirectory = strtolower($currentDirectory);
    if (strpos($currentDirectory, "physicalmemory") !== false)
    {
        $PanelBar1->setGroupSelected("1");
    }
    else if (strpos($currentDirectory, "system") !== false)
    {
        $PanelBar1->setGroupSelected("2");
    }
    $PanelBar1->setOuterHighlightColor("#aaaaaa");
    $PanelBar1->setOuterShadowColor("#aaaaaa");
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("CPU Usage");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 1");
    $cspbItem->setURL("../CpuUsage/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 2");
    $cspbItem->setURL("../CpuUsage/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 3");
    $cspbItem->setURL("../CpuUsage/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("CPU 4");
    $cspbItem->setURL("../CpuUsage/index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Physical Memory");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Total");
    $cspbItem->setURL("../PhysicalMemory/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Cached");
    $cspbItem->setURL("../PhysicalMemory/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Available");
    $cspbItem->setURL("../PhysicalMemory/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Free");
    $cspbItem->setURL("../PhysicalMemory/index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("System");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Handles");
    $cspbItem->setURL("../System/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Threads");
    $cspbItem->setURL("../System/index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Processes");
    $cspbItem->setURL("../System/index.php");

    $PanelBar1->getButtonFont()->setColor("#ffffff");
    $PanelBar1->getButtonHoverFont()->setColor("#ffffff");
    $PanelBar1->getItemFont()->setColor("#444444");
    $PanelBar1->getItemFont()->setSize("12px");
    $PanelBar1->getItemHoverFont()->setColor("#444444");
    $PanelBar1->getItemHoverFont()->setSize("12px");

    return $PanelBar1;
}

?>
