<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#d6dff7");
    $PanelBar1->setBackgroundImage("./images/background.gif");
    $PanelBar1->setBorderSize(0);
    $PanelBar1->setButtonBackgroundImage("./images/button.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#dce4fa");
    $PanelBar1->setButtonHeight(25);
    $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::MultiGroupContentHeight);
    $PanelBar1->setGroupSpacing(16);
    $PanelBar1->setGroupSpacingColor("#6e90e4");
    $PanelBar1->setIconHeight(16);
    $PanelBar1->setIconPosition(Coalesys\PanelBar\IconPositionConstants::Left);
    $PanelBar1->setIconWidth(16);
    $PanelBar1->setItemSpacing(5);
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);
    $PanelBar1->setSelectedButtonBackgroundImage("./images/selected_button.gif");
    $PanelBar1->setWidth(185);

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("HTML Form");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"display:inline-block;padding-top:10px;\"><input type=\"text\" style=\"width:120px\" /></div><div style=\"display:inline-block;padding-left:3px;\"><input type=\"submit\" value=\"Go\" /></div><div style=\"padding:3px;\"><a href=\"#\"><span style=\"font-size:11px;\">Advanced Search</span></a></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"background-image:url('./images/panel_end.gif');height:2px;\"></div>");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("HTML and Items");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"background-image:url('./images/panel_begin2.gif');height:20px;\"></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"background-image:url('./images/panel_end2.gif');height:20px;\"></div>");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Control Panel");
    $cspbItem->setIconImage("./images/control_panel.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Network Places");
    $cspbItem->setIconImage("./images/network_places.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("My Documents");
    $cspbItem->setIconImage("./images/my_documents.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("My Computer");
    $cspbItem->setIconImage("./images/my_computer.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Application Menu");
    $cspbGroup->setExpanded(true);
    $cspbGroup->setHtmlAboveItems("<div style=\"padding:2px 2px 0px 2px;\"><script src=\"./includes/menu_loader.js\" type=\"text/javascript\"></script></div>");
    $cspbGroup->setHtmlBelowItems("<div style=\"background-image:url('./images/panel_end.gif');height:2px;\"></div>");

    $PanelBar1->getButtonFont()->setAlignment("left");
    $PanelBar1->getButtonFont()->setColor("#215dc6");
    $PanelBar1->getButtonFont()->setPaddingLeft(15);
    $PanelBar1->getButtonFont()->setWeight("bold");
    $PanelBar1->getButtonHoverFont()->setColor("#428EFF");
    $PanelBar1->getButtonHoverFont()->setWeight("bold");
    $PanelBar1->getItemFont()->setAlignment("left");
    $PanelBar1->getItemFont()->setColor("#215dc6");
    $PanelBar1->getItemFont()->setPaddingLeft(15);
    $PanelBar1->getItemHoverFont()->setColor("#428EFF");

    return $PanelBar1;
}

?>
