<?php

// Creates and configures a new panelbar control
function CreatePanelBar1()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#e7ebf0");
    $PanelBar1->setBorderSize(0);
    $PanelBar1->setButtonBackgroundImage("./images/buttonbackground.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#3f577d");
    $PanelBar1->setButtonHeight(20);
    $PanelBar1->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::SingleGroupContentHeight);
    $PanelBar1->setGeneratedPrefix("cspb1");
    $PanelBar1->setGroupSpacing(10);
    $PanelBar1->setGroupSpacingColor("#647896");
    $PanelBar1->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);
    $PanelBar1->setWidth(120);

    $cspb1Group = $PanelBar1->getGroups()->Add();
    $cspb1Group->setCaption("Knowledge Base");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Browse All");
    $cspb1Item->setIconImage("./images/docfolder_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Latest Articles");
    $cspb1Item->setIconImage("./images/csdocs_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("FAQ");
    $cspb1Item->setIconImage("./images/question_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Search");
    $cspb1Item->setIconImage("./images/magnify_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Group = $PanelBar1->getGroups()->Add();
    $cspb1Group->setCaption("Communicate");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Discussion Forums");
    $cspb1Item->setIconImage("./images/news_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Email Support");
    $cspb1Item->setIconImage("./images/mail_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Live Chat");
    $cspb1Item->setIconImage("./images/ear_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Group = $PanelBar1->getGroups()->Add();
    $cspb1Group->setCaption("Download");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Latest Versions");
    $cspb1Item->setIconImage("./images/downloadfolder_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Documentation");
    $cspb1Item->setIconImage("./images/csdocs_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("MS HTML Help Update");
    $cspb1Item->setIconImage("./images/help_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("MS Windows Installer");
    $cspb1Item->setIconImage("./images/installer_32.gif");
    $cspb1Item->setURL("index.php");

    $cspb1Group = $PanelBar1->getGroups()->Add();
    $cspb1Group->setCaption("White Papers");

    $cspb1Item = $cspb1Group->getItems()->Add();
    $cspb1Item->setCaption("Index");
    $cspb1Item->setIconImage("./images/csdocs_32.gif");
    $cspb1Item->setURL("index.php");

    $PanelBar1->getButtonFont()->setColor("#ffffff");
    $PanelBar1->getButtonFont()->setSize("12px");
    $PanelBar1->getButtonFont()->setWeight("bold");
    $PanelBar1->getButtonHoverFont()->setColor("#ffffff");
    $PanelBar1->getButtonHoverFont()->setSize("12px");
    $PanelBar1->getButtonHoverFont()->setWeight("bold");
    $PanelBar1->getItemFont()->setColor("#3f577d");
    $PanelBar1->getItemHoverFont()->setColor("#3f577d");

    return $PanelBar1;
}

// Creates and configures a new panelbar control
function CreatePanelBar2()
{
    $PanelBar2 = new Coalesys\PanelBar\PanelBar();
    $PanelBar2->setBackgroundColor("#ffffff");
    $PanelBar2->setBackgroundImage("./images/content_background.gif");
    $PanelBar2->setBorderSize(0);
    $PanelBar2->setButtonBorderSize(0);
    $PanelBar2->setButtonColor("#e7ebf0");
    $PanelBar2->setEffect(Coalesys\PanelBar\EffectConstants::None);
    $PanelBar2->setExpandMode(Coalesys\PanelBar\ExpandModeConstants::MultiGroupContentHeight);
    $PanelBar2->setGeneratedPrefix("cspb2");
    $PanelBar2->setName("PanelBar2");
    $PanelBar2->setScrollMode(Coalesys\PanelBar\ScrollModeConstants::BrowserScrollBar);
    $PanelBar2->setWidth(135);

    $cspb2Group = $PanelBar2->getGroups()->Add();
    $cspb2Group->setButtonImage("./images/latestnews_opened.gif\" id=\"latestnewsButton");
    $cspb2Group->setCaption("Latest News");
    $cspb2Group->setExpanded(true);
    $cspb2Group->setHtmlAboveItems("<div style=\"font-family:arial,helvetica,sans-serif;font-size:11px;padding:8px;text-align:left;\"><b>7/22/2017</b><br /><a href=\"#\">Product Updates: New Releases supporting the latest versions of the .NET Framework</a><br /><br /><b>4/23/2017</b><br /><a href=\"#\">New Editions: PanelBar, WebMenu, WebDrillDown, WebObjectTree, WebPropertyGrid and WebTabSet for ASP.NET MVC</a><br /><br /><b>10/16/2016</b><br /><a href=\"#\">New Product Suites: Introducing our latest UI-Engines and Complete products</a></div>");
    $cspb2Group->setHtmlBelowItems("<div style=\"background-image:url('./images/content_end.gif');height:8px;\"></div>");
    $cspb2Group->setOnClick("ToggleButton('latestnews');");

    $cspb2Group = $PanelBar2->getGroups()->Add();
    $cspb2Group->setButtonImage("./images/sitesearch_opened.gif\" id=\"sitesearchButton");
    $cspb2Group->setCaption("Site Search");
    $cspb2Group->setExpanded(true);
    $cspb2Group->setHtmlAboveItems("<div style=\"font-family:arial,helvetica,sans-serif;font-size:11px;padding:8px;text-align:center;\"><div style=\"padding:4px;\"><input style=\"background-color:white;\" type=\"text\" size=\"12\" maxlength=\"255\" /></div><div style=\"padding:4px;\"><input type=\"image\" name=\"Go\" src=\"./images/button_submit.gif\" alt=\"Submit\" /></div></div>");
    $cspb2Group->setHtmlBelowItems("<div style=\"background-image:url('./images/content_end.gif');height:8px;\"></div>");
    $cspb2Group->setOnClick("ToggleButton('sitesearch');");

    $cspb2Group = $PanelBar2->getGroups()->Add();
    $cspb2Group->setButtonImage("./images/sitemap.gif");
    $cspb2Group->setCaption("Site Map");
    $cspb2Group->setOnClick("alert('OnClick executed');return false;");

    $cspb2Group = $PanelBar2->getGroups()->Add();
    $cspb2Group->setButtonImage("./images/feedback.gif");
    $cspb2Group->setCaption("Feedback");
    $cspb2Group->setOnClick("alert('OnClick executed');return false;");

    return $PanelBar2;
}

?>
