<?php

// Creates and configures a new panelbar control
function CreatePanelBar()
{
    $PanelBar1 = new Coalesys\PanelBar\PanelBar();
    $PanelBar1->setBackgroundColor("#222222");
    $PanelBar1->setBorderSize(1);
    $PanelBar1->setButtonBackgroundImage("./images/button.gif");
    $PanelBar1->setButtonBorderSize(0);
    $PanelBar1->setButtonColor("#DCE4EF");
    $PanelBar1->setButtonHeight(18);
    $PanelBar1->setFollowYScroll(true);
    $PanelBar1->setGroupSpacing(1);
    $PanelBar1->setGroupSpacingColor("#222222");
    $PanelBar1->setOuterHighlightColor("#222222");
    $PanelBar1->setOuterShadowColor("#222222");
    $PanelBar1->setScrollDownActiveImage("./images/down_active.gif");
    $PanelBar1->setScrollDownDisabledImage("./images/down_disabled.gif");
    $PanelBar1->setScrollDownEnabledImage("./images/down_enabled.gif");
    $PanelBar1->setScrollUpActiveImage("./images/up_active.gif");
    $PanelBar1->setScrollUpDisabledImage("./images/up_disabled.gif");
    $PanelBar1->setScrollUpEnabledImage("./images/up_enabled.gif");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Features");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Overview");
    $cspbItem->setIconImage("./images/eye.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("How It Works");
    $cspbItem->setIconImage("./images/gear_teeth.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Benefits");
    $cspbItem->setIconImage("./images/plus.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Visual Editor");
    $cspbItem->setIconImage("./images/visual.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Requirements");
    $cspbItem->setIconImage("./images/check_box.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Examples");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("3-D Styles");
    $cspbItem->setIconImage("./images/3dbox.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("2-D Styles");
    $cspbItem->setIconImage("./images/2dbox.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Custom Images");
    $cspbItem->setIconImage("./images/eye.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Build Your Own");
    $cspbItem->setIconImage("./images/hammer.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Download");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Evaluation");
    $cspbItem->setIconImage("./images/download.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Documentation");
    $cspbItem->setIconImage("./images/book.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Microsoft HTML Help Update");
    $cspbItem->setIconImage("./images/gear_teeth.gif");
    $cspbItem->setURL("index.php");

    $cspbGroup = $PanelBar1->getGroups()->Add();
    $cspbGroup->setCaption("Purchase");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Order Online");
    $cspbItem->setIconImage("./images/cart.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Order by Fax");
    $cspbItem->setIconImage("./images/fax.gif");
    $cspbItem->setURL("index.php");

    $cspbItem = $cspbGroup->getItems()->Add();
    $cspbItem->setCaption("Order by Mail");
    $cspbItem->setIconImage("./images/envelope.gif");
    $cspbItem->setURL("index.php");

    $PanelBar1->getButtonFont()->setColor("#222222");
    $PanelBar1->getButtonFont()->setSize("12px");
    $PanelBar1->getButtonFont()->setWeight("bold");
    $PanelBar1->getButtonHoverFont()->setColor("#222222");
    $PanelBar1->getButtonHoverFont()->setSize("12px");
    $PanelBar1->getButtonHoverFont()->setWeight("bold");

    return $PanelBar1;
}

?>
