<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys PanelBar for PHP</title>
    <link href="./Samples/Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">PanelBar for PHP</div>
        </div>
        <div class="csContent">
            <div class="csTitle">Documentation Index:</div>
            <div>You must accept the terms and conditions of the End-User License Agreement before using the software.</div>
            <ul>
                <li><a href="./Readme.txt" target="_blank">PanelBar Readme File</a></li>
                <li><a href="./Help/index.htm" target="_blank">PanelBar Help System</a></li>
                <li><a href="./License.htm" target="_blank">End-User License Agreement</a></li>
                <li><a href="http://www.coalesys.com/downloads/checkupgrade/cspbp7l120" target="_blank">Check for Updates</a></li>
            </ul>
            <div class="csTitle">Samples Index:</div>
            <div>Demonstrates the basic and advanced features of the PanelBar control.</div>
            <ul>
                <li>Appearance:
                    <ul>
                        <li><a href="./Samples/Appearance/StandardAppearance/index.php" target="_blank">Standard Appearance</a></li>
                        <li><a href="./Samples/Appearance/FlatBorders/index.php" target="_blank">Flat Borders</a></li>
                        <li><a href="./Samples/Appearance/WindowsStyle/index.php" target="_blank">Windows Style</a></li>
                        <li><a href="./Samples/Appearance/ButtonImages/index.php" target="_blank">Button Images</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Basic Features:
                    <ul>
                        <li><a href="./Samples/BasicFeatures/ExpandMode/index.php" target="_blank">Expand Mode</a></li>
                        <li><a href="./Samples/BasicFeatures/ScrollMode/index.php" target="_blank">Scroll Mode</a></li>
                        <li><a href="./Samples/BasicFeatures/GroupOnClick/index.php" target="_blank">Group OnClick</a></li>
                        <li><a href="./Samples/BasicFeatures/CustomHtmlContent/index.php" target="_blank">Custom HTML Content</a></li>
                        <li><a href="./Samples/BasicFeatures/FollowVerticalScroll/index.php" target="_blank">Follow Vertical Scroll</a></li>
                        <li><a href="./Samples/BasicFeatures/MultipleInstances/index.php" target="_blank">Multiple Instances</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Orientations:
                    <ul>
                        <li><a href="./Samples/Orientations/IconPosition/index.php" target="_blank">Icon Position</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Dimensions:
                    <ul>
                        <li><a href="./Samples/Dimensions/AutoSizeToFrame/index.php" target="_blank">Auto-Size to Frame</a></li>
                        <li><a href="./Samples/Dimensions/AutoSizeToElement/index.php" target="_blank">Auto-Size to Element</a></li>
                        <li><a href="./Samples/Dimensions/DynamicHeight/index.php" target="_blank">Dynamic Height</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>State Persistence:
                    <ul>
                        <li><a href="./Samples/StatePersistence/UsingCookie/index.php" target="_blank">Using Cookie</a></li>
                        <li><a href="./Samples/StatePersistence/UsingQueryString/index.php" target="_blank">Using Query String</a></li>
                        <li><a href="./Samples/StatePersistence/UsingDirectoryPath/CpuUsage/index.php" target="_blank">Using Directory Path</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Usage Techniques:
                    <ul>
                        <li><a href="./Samples/UsageTechniques/CoreLibraryCache/index.php" target="_blank">Core Library Cache</a></li>
                        <li><a href="./Samples/UsageTechniques/SingleInstanceCache/index.php" target="_blank">Single Instance Cache</a></li>
                        <li><a href="./Samples/UsageTechniques/MultipleInstanceCache/index.php" target="_blank">Multiple Instance Cache</a></li>
                        <li><a href="./Samples/UsageTechniques/LoadFromPbs/index.php" target="_blank">Load from PBS</a></li>
                    </ul>
                </li>
            </ul>
            <div class="csCopyright">Copyright &copy; 2000-2020 Coalesys, Inc.</div>
        </div>
    </div>
</body>
</html>
